{: test that constant expression error causes a compilation error }

program e1053( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

const
   {!!! boolean operand required}
   c1 = not(12);
   c2 = not 12;
   c3 = true and 12;
   c4 = false or 12;
   c5 = 12 or true;
   c6 = 12 and false;

var
   e : colour;
   n : integer;
   s : packed array[1..20] of char;

begin { e1053 }

   e := black;
   n := 2;

   writeln( 'constant expression type error not detected' );
end. { e1053 }

